# Interface IExecutionStatus

public interface IExecutionStatus

## Method Summary

Modifier and Type
Method
Description
`String`
`getErrorMessage()`
Returns the error message if the statement execution failed.
`ExecutionState`
`getExecutionState()`
Returns the current state of the statement execution.
`String`
`getSqlState()`
Returns the SQL state code if the statement execution failed.

## Method Details

### getErrorMessage

String getErrorMessage()
Returns the error message if the statement execution failed.

Returns:
  the error message, or null if there was no error

### getSqlState

String getSqlState()
Returns the SQL state code if the statement execution failed.

Returns:
  the SQL state code, or null if there was no error

### getExecutionState

ExecutionState getExecutionState()
Returns the current state of the statement execution.

Returns:
  the current state of the statement execution